import { Router } from "express";
import isAuth from "../middleware/isAuth";

import * as SettingController from "../controllers/SettingController";

const settingRoutes = Router(); 

settingRoutes.get("/settings", SettingController.index);

settingRoutes.get("/settings/ticket/:number", SettingController.ticketSettings);     

// settingRoutes.get("/settings/:settingKey", isAuth, SettingsController.show);

settingRoutes.put(
  "/settings/ticket",
  isAuth,
  SettingController.updateTicketSettings
);


// change setting key to key in future
settingRoutes.put("/settings/:settingKey", isAuth, SettingController.update);


export default settingRoutes;
